> For the complete documentation index, see [llms.txt](https://docs.getblock.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.getblock.io/api-reference/bitcoin-gold-btg/btg_finalizepsbt.md).

# finalizepsbt - Bitcoin Gold

#### Parameters

`psbt` - string, required

A base64 string of a PSBT

`extract` - boolean, optional, default=true

If true and the transaction is complete, extract and return the complete transaction in normal network serialization instead of the PSBT.

#### Request

```java
curl --location --request POST 'https://shared.eu-central-1.getblock.io/<ACCESS-TOKEN>/' \
--header 'Content-Type: application/json' \
--data-raw '{"jsonrpc": "2.0",
"method": "finalizepsbt",
"params": ["psbt", null],
"id": "getblock.io"}'
```

#### Response

```java
{
    "error": null,
    "id": "getblock.io",
    "result": null
}
```
